libfreehand Namespace Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Functions
libfreehand Namespace Reference

## Classes
class | EndOfStreamException
struct | FH3CharProperties
struct | FH3ParaProperties
struct | FHAGDFont
class | FHArcToElement
struct | FHAttributeHolder
struct | FHBasicFill
struct | FHBasicLine
struct | FHBlock
struct | FHBoundingBox
struct | FHCharProperties
struct | FHCMYKColor
class | FHCollector
struct | FHColorStop
struct | FHCompositePath
class | FHCubicBezierToElement
struct | FHDataList
struct | FHDisplayText
struct | FHFilterAttributeHolder
struct | FHGraphicStyle
struct | FHGroup
struct | FHImageImport
class | FHInternalStream
struct | FHLayer
struct | FHLensFill
struct | FHLinearFill
class | FHLineToElement
struct | FHList
class | FHMoveToElement
struct | FHNewBlend
struct | FHPageInfo
struct | FHParagraph
struct | FHParaProperties
class | FHParser
class | FHPath
class | FHPathElement
struct | FHPatternFill
struct | FHPropList
class | FHQuadraticBezierToElement
struct | FHRadialFill
struct | FHRGBColor
struct | FHSymbolClass
struct | FHSymbolInstance
struct | FHTail
struct | FHTextObject
struct | FHTileFill
struct | FHTintColor
struct | FHTransform
struct | FWGlowFilter
struct | FWShadowFilter
class | GenericException

## Functions
uint8_t | readU8 (librevenge::RVNGInputStream *input)
uint16_t | readU16 (librevenge::RVNGInputStream *input)
uint32_t | readU32 (librevenge::RVNGInputStream *input)
int8_t | readS8 (librevenge::RVNGInputStream *input)
int16_t | readS16 (librevenge::RVNGInputStream *input)
int32_t | readS32 (librevenge::RVNGInputStream *input)
void | writeU16 (librevenge::RVNGBinaryData &buffer, const int value)
void | writeU32 (librevenge::RVNGBinaryData &buffer, const int value)
void | _appendUTF16 (librevenge::RVNGString &text, std::vector< unsigned short > &characters)
void | _appendMacRoman (librevenge::RVNGString &text, unsigned char character)

## Function Documentation

void libfreehand::_appendMacRoman | ( | librevenge::RVNGString & | text,
|  | unsigned char | character
| ) |  |

Referenced by libfreehand::FHCollector::_outputDisplayText(), libfreehand::FHParser::readDisplayText(), libfreehand::FHParser::readImageImport(), libfreehand::FHParser::readMName(), and libfreehand::FHParser::readMString().

void libfreehand::_appendUTF16 | ( | librevenge::RVNGString & | text,
|  | std::vector< unsigned short > & | characters
| ) |  |

Referenced by libfreehand::FHCollector::_outputTextRun(), libfreehand::FHParser::readTextBlok(), and libfreehand::FHParser::readUString().

int16_t libfreehand::readS16 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by libfreehand::FHParser::_readCoordinate().

int32_t libfreehand::readS32 | ( | librevenge::RVNGInputStream * | input | ) |

int8_t libfreehand::readS8 | ( | librevenge::RVNGInputStream * | input | ) |

uint16_t libfreehand::readU16 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by libfreehand::FHParser::_readCMYKColor(), libfreehand::FHParser::_readCoordinate(), libfreehand::FHParser::_readFH3CharProperties(), libfreehand::FHParser::_readFH3ParaProperties(), libfreehand::FHParser::_readRecordId(), libfreehand::FHParser::_readRGBColor(), libfreehand::FHParser::parseDictionary(), libfreehand::FHParser::parseRecordList(), libfreehand::FHParser::readAGDFont(), libfreehand::FHParser::readAGDSelection(), libfreehand::FHParser::readArrowPath(), libfreehand::FHParser::readBlock(), libfreehand::FHParser::readColor6(), libfreehand::FHParser::readConnectorLine(), libfreehand::FHParser::readContourFill(), libfreehand::FHParser::readCustomProc(), libfreehand::FHParser::readData(), libfreehand::FHParser::readDataList(), libfreehand::FHParser::readDisplayText(), libfreehand::FHParser::readElemPropLst(), libfreehand::FHParser::readEnvelope(), libfreehand::FHParser::readFileDescriptor(), libfreehand::FHParser::readFWGlowFilter(), libfreehand::FHParser::readFWShadowFilter(), libfreehand::FHParser::readGraphicStyle(), libfreehand::FHParser::readGuides(), libfreehand::FHParser::readLayer(), libfreehand::FHParser::readLinePat(), libfreehand::FHParser::readLineTable(), libfreehand::FHParser::readList(), libfreehand::FHParser::readMDict(), libfreehand::FHParser::readMName(), libfreehand::FHParser::readMQuickDict(), libfreehand::FHParser::readMString(), libfreehand::FHParser::readMultiBlend(), libfreehand::FHParser::readMultiColorList(), libfreehand::FHParser::readOpacityFilter(), libfreehand::FHParser::readParagraph(), libfreehand::FHParser::readPath(), libfreehand::FHParser::readPolygonFigure(), libfreehand::FHParser::readPropLst(), readS16(), libfreehand::FHParser::readSpotColor6(), libfreehand::FHParser::readStylePropLst(), libfreehand::FHParser::readSymbolLibrary(), libfreehand::FHParser::readTabTable(), libfreehand::FHParser::readTEffect(), libfreehand::FHParser::readTextBlok(), libfreehand::FHParser::readTextEffs(), libfreehand::FHParser::readTextObject(), libfreehand::FHParser::readTintColor(), libfreehand::FHParser::readTString(), libfreehand::FHParser::readUString(), libfreehand::FHParser::readVDict(), and libfreehand::FHParser::readVMpObj().

uint32_t libfreehand::readU32 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by libfreehand::FHParser::_readFH3CharProperties(), libfreehand::FHParser::parse(), libfreehand::FHParser::parseRecordList(), libfreehand::FHParser::readAGDFont(), libfreehand::FHParser::readData(), libfreehand::FHParser::readDataList(), libfreehand::FHParser::readDisplayText(), readS32(), libfreehand::FHParser::readTextEffs(), and libfreehand::FHParser::readTextObject().

uint8_t libfreehand::readU8 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by libfreehand::FHParser::parseDictionary(), libfreehand::FHParser::readDisplayText(), libfreehand::FHParser::readExtrusion(), libfreehand::FHParser::readFWGlowFilter(), libfreehand::FHParser::readFWShadowFilter(), libfreehand::FHParser::readImageImport(), libfreehand::FHParser::readLensFill(), libfreehand::FHParser::readMasterPageLayerInstance(), libfreehand::FHParser::readMasterPageSymbolInstance(), libfreehand::FHParser::readMName(), libfreehand::FHParser::readMString(), libfreehand::FHParser::readOval(), libfreehand::FHParser::readPath(), libfreehand::FHParser::readPatternFill(), libfreehand::FHParser::readPerspectiveGrid(), libfreehand::FHParser::readPolygonFigure(), readS8(), libfreehand::FHParser::readSymbolInstance(), and libfreehand::FHParser::readXform().

void libfreehand::writeU16 | ( | librevenge::RVNGBinaryData & | buffer,
|  | const int | value
| ) |  |

Referenced by libfreehand::FHCollector::_generateBitmapFromPattern().

void libfreehand::writeU32 | ( | librevenge::RVNGBinaryData & | buffer,
|  | const int | value
| ) |  |

Referenced by libfreehand::FHCollector::_generateBitmapFromPattern().